System.Design 2.0.0.0

The interface defines an interface through which you can implement basic services for a data source designer. A designer is only active at design time, and must be associated with a data source, using a , in order to be loaded when a data source of the associated type is created at design time.

The interface provides methods and properties that you can implement in order to provide custom behavior at design time.

A designer can also use the available design-time services to perform a variety of tasks, including surveying the current design-time environment for components and their properties, reading and setting the values of properties of components, managing the toolbox, managing selected components, or displaying a user interface that can be used to configure values or to apply further processing.

In most cases, implement your custom designer for a data source by deriving it from the class. Data sources whose associated designer does not derive from are displayed in the component tray. The class implements the interface and provides additional design-time support that may be of use to authors of designers. For more information, see the reference documentation for these classes.

For an overview of creating design components, see Extending Design-Time Support.

Defines the basic functionality for a data source designer.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the method can be called.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the method can be called.

- Method
  2.0.0.0
  System.Void

  This method can be called only if is true.

  Launches the underlying data source's configuration wizard.

- Event
  2.0.0.0
  System.EventHandler

  The event occurs when the value of a field in the data source, or a property in the data-bound control that affects the data bindings to that field, has changed.

  Occurs when a data source has changed in a way that affects data-bound controls.

- Method
  2.0.0.0
  System.Web.UI.Design.DesignerDataSourceView ``

  A class that implements can define a view in a way that is useful within the context of that class.

  Use the method to get a list of view names.

  Gets the for the specified view.

  A containing information about the identified view, or null if a view with the specified name is not found.

  The name of a view in the underlying data source.
- Method
  2.0.0.0
  System.String[] To be added.

  Gets the names of the views in the underlying data source.

  An array of type .

- Method
  2.0.0.0
  System.Void `` To be added.

  Refreshes the schema of the underlying data source.

  Indicates whether to suppress any events raised while refreshing the schema.
- Method
  2.0.0.0
  System.Void To be added.

  Resumes raising data source events after calling the method.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs when the fields or data of the underlying data source have changed.

- Method
  2.0.0.0
  System.Void To be added.

  Suppresses all events raised by a data source until the method is called.